import { PluginConfig } from './types';
export declare class SemanticReleaseError extends Error {
    name: 'SemanticReleaseError';
    code: string;
    details: string;
    semanticRelease: true;
    constructor(message: string, code: string, details: string);
}
declare type ErrorCodes = 'ENRNANDROIDPATH' | 'ENRNIOSPATH' | 'ENRNNOTBOOLEAN' | 'ENRNNOTSTRING' | 'ENRNVERSIONSTRATEGY' | 'ENRNFROMFILENOTJSON';
export declare const getSemanticReleaseError: (key: keyof PluginConfig, code: ErrorCodes) => SemanticReleaseError;
export declare const toError: (maybeError: unknown) => Error;
export {};
