"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
exports.toError = exports.getSemanticReleaseError = exports.SemanticReleaseError = void 0;
var SemanticReleaseError = (function (_super) {
    __extends(SemanticReleaseError, _super);
    function SemanticReleaseError(message, code, details) {
        var _this = _super.call(this, message) || this;
        Error.captureStackTrace(_this, _this.constructor);
        _this.name = 'SemanticReleaseError';
        _this.code = code;
        _this.details = details;
        _this.semanticRelease = true;
        return _this;
    }
    return SemanticReleaseError;
}(Error));
exports.SemanticReleaseError = SemanticReleaseError;
var ERROR_DEFINITIONS = {
    ENRNANDROIDPATH: function (key) { return ({
        message: "Invalid ".concat(key),
        details: "The ".concat(key, " must point to an existing build.gradle file.")
    }); },
    ENRNIOSPATH: function (key) { return ({
        message: "Invalid ".concat(key),
        details: "The ".concat(key, " must point to an existing directory.")
    }); },
    ENRNNOTBOOLEAN: function (key) { return ({
        message: "Invalid ".concat(key),
        details: "The ".concat(key, " must be a boolean.")
    }); },
    ENRNNOTSTRING: function (key) { return ({
        message: "Invalid ".concat(key),
        details: "The ".concat(key, " must be a string.")
    }); },
    ENRNVERSIONSTRATEGY: function (key) { return ({
        message: "Invalid ".concat(key),
        details: "The ".concat(key, " must comply with the schema (see docs).")
    }); },
    ENRNFROMFILENOTJSON: function (key) { return ({
        message: "Invalid ".concat(key),
        details: "The ".concat(key, " must point to a JSON file.")
    }); }
};
var getSemanticReleaseError = function (key, code) {
    var _a = ERROR_DEFINITIONS[code](key), message = _a.message, details = _a.details;
    return new SemanticReleaseError(message, code, details);
};
exports.getSemanticReleaseError = getSemanticReleaseError;
var isError = function (error) { return (typeof error === 'object'
    && error !== null
    && 'message' in error
    && typeof error.message === 'string'); };
var toError = function (maybeError) {
    if (isError(maybeError)) {
        return maybeError;
    }
    if (typeof maybeError === 'string') {
        return new Error(maybeError);
    }
    try {
        return new Error(JSON.stringify(maybeError));
    }
    catch (_a) {
        return new Error(String(maybeError));
    }
};
exports.toError = toError;
//# sourceMappingURL=errors.js.map