import { androidVesionStrategies, iosVesionStrategies } from './strategies';
declare type AndroidVersionStrategies = typeof androidVesionStrategies[number];
declare type IosVersionStrategies = typeof iosVesionStrategies[number];
export declare type PluginConfig = {
    androidPath?: string;
    iosPath?: string;
    iosPackageName?: String | string | null;
    skipBuildNumber?: boolean;
    skipAndroid?: boolean;
    skipIos?: boolean;
    noPrerelease?: boolean;
    fromFile?: string;
    versionStrategy?: {
        android?: {
            buildNumber?: AndroidVersionStrategies;
            preRelease?: boolean;
        };
        ios?: {
            buildNumber?: IosVersionStrategies;
            preRelease?: boolean;
        };
    };
};
export declare type FullPluginConfig = Required<PluginConfig>;
export declare type VersionFile = {
    android?: string;
    ios?: string;
};
export {};
